GET
/
rules
获取所有规则
curl --request GET \
  --url http://{host}:{port}/rules \
  --header 'Authorization: Bearer <token>'
import requests

url = "http://{host}:{port}/rules"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('http://{host}:{port}/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "rules": [
    {
      "index": 0,
      "type": "RuleSet",
      "payload": "private_ip",
      "proxy": "直连",
      "size": -1
    },
    {
      "index": 1,
      "type": "RuleSet",
      "payload": "github_domain",
      "proxy": "Github",
      "size": -1
    }
  ]
}

授权

Authorization
string
header
必填

在请求头中携带 Authorization: Bearer ${secret},其中 secret 对应配置中的 secret 字段。若未设置 secret 可省略,但强烈建议设置。

响应

200 - application/json

规则列表。

rules
object[]